rm(list=ls())
library(survival)
library(cmprsk)
setwd('/home/klrd547/Oncology/Projects/COVID19 Simulation/JDS Code Accepted')
source('source_updated3.R')

# simulate the data under the alternative hypothesis with 30m or 3m pandemic duration
O4_TA_1_30<-simOS(size=530,mOSc=38.6,HR=0.72,accrual.duration=29,accrual.weight=2,IAevent=242, FAevent=300,rr=1,PanN=15,PanScenario=1,FA2PanTime=30,Panduration=3,simu=15000);save(O4_TA_1_30,file='O4_TA_1_30.Rdata' )
O4_TA_1_03<-simOS(size=530,mOSc=38.6,HR=0.72,accrual.duration=29,accrual.weight=2,IAevent=242, FAevent=300,rr=1,PanN=15,PanScenario=1,FA2PanTime= 3,Panduration=3,simu=15000);save(O4_TA_1_03,file='O4_TA_1_03.Rdata' )

O4_TA_2_30<-simOS(size=530,mOSc=38.6,HR=0.72,accrual.duration=29,accrual.weight=2,IAevent=242, FAevent=300,rr=1,PanN=15,PanScenario=2,FA2PanTime=30,Panduration=3,simu=15000);save(O4_TA_2_30,file='O4_TA_2_30.Rdata' )
O4_TA_2_03<-simOS(size=530,mOSc=38.6,HR=0.72,accrual.duration=29,accrual.weight=2,IAevent=242, FAevent=300,rr=1,PanN=15,PanScenario=2,FA2PanTime= 3,Panduration=3,simu=15000);save(O4_TA_2_03,file='O4_TA_2_03.Rdata' )

O4_TA_3_30<-simOS(size=530,mOSc=38.6,HR=0.72,accrual.duration=29,accrual.weight=2,IAevent=242, FAevent=300,rr=1,PanN=15,PanScenario=3,FA2PanTime=30,Panduration=3,simu=15000);save(O4_TA_3_30,file='O4_TA_3_30.Rdata' )
O4_TA_3_03<-simOS(size=530,mOSc=38.6,HR=0.72,accrual.duration=29,accrual.weight=2,IAevent=242, FAevent=300,rr=1,PanN=15,PanScenario=3,FA2PanTime= 3,Panduration=3,simu=15000);save(O4_TA_3_03,file='O4_TA_3_03.Rdata' )

#O4_TN_1_30<-simOS(size=530,mOSc=38.6,HR=1,accrual.duration=29,accrual.weight=2,IAevent=242, FAevent=300,rr=1,PanN=15,PanScenario=1,FA2PanTime=30,Panduration=3,simu=15000);save(O4_TN_1_30,file='O4_TN_1_30.Rdata' )
#O4_TN_1_03<-simOS(size=530,mOSc=38.6,HR=1,accrual.duration=29,accrual.weight=2,IAevent=242, FAevent=300,rr=1,PanN=15,PanScenario=1,FA2PanTime= 3,Panduration=3,simu=15000);save(O4_TN_1_03,file='O4_TN_1_03.Rdata' )

#O4_TN_2_30<-simOS(size=530,mOSc=38.6,HR=1,accrual.duration=29,accrual.weight=2,IAevent=242, FAevent=300,rr=1,PanN=15,PanScenario=2,FA2PanTime=30,Panduration=3,simu=15000);save(O4_TN_2_30,file='O4_TN_2_30.Rdata' )
#O4_TN_2_03<-simOS(size=530,mOSc=38.6,HR=1,accrual.duration=29,accrual.weight=2,IAevent=242, FAevent=300,rr=1,PanN=15,PanScenario=2,FA2PanTime= 3,Panduration=3,simu=15000);save(O4_TN_2_03,file='O4_TN_2_03.Rdata' )

#O4_TN_3_30<-simOS(size=530,mOSc=38.6,HR=1,accrual.duration=29,accrual.weight=2,IAevent=242, FAevent=300,rr=1,PanN=15,PanScenario=3,FA2PanTime=30,Panduration=3,simu=15000);save(O4_TN_3_30,file='O4_TN_3_30.Rdata' )
#O4_TN_3_03<-simOS(size=530,mOSc=38.6,HR=1,accrual.duration=29,accrual.weight=2,IAevent=242, FAevent=300,rr=1,PanN=15,PanScenario=3,FA2PanTime= 3,Panduration=3,simu=15000);save(O4_TN_3_03,file='O4_TN_3_03.Rdata' )
