rm(list=ls())
setwd('/home/klrd547/Oncology/Projects/COVID19 Simulation/JDS Code Accepted')
source('source_updated3.R')

# Power, HR and analysis time for the final analysis under the alternative hypothesis
# O4_TN_1_30<-simPower(data='O4_TN_1_30',alphaFA=0.0421/2,size=530,FAevent=300,hr.cv.FA=1,simu=15000,includeIA=F,alphaIA=0.0237/2,hr.cv.IA=1,isOS=T)
# O4_TN_1_03<-simPower(data='O4_TN_1_03',alphaFA=0.0421/2,size=530,FAevent=300,hr.cv.FA=1,simu=15000,includeIA=F,alphaIA=0.0237/2,hr.cv.IA=1,isOS=T)
# 
# O4_TN_2_30<-simPower(data='O4_TN_2_30',alphaFA=0.0421/2,size=530,FAevent=300,hr.cv.FA=1,simu=15000,includeIA=F,alphaIA=0.0237/2,hr.cv.IA=1,isOS=T)
# O4_TN_2_03<-simPower(data='O4_TN_2_03',alphaFA=0.0421/2,size=530,FAevent=300,hr.cv.FA=1,simu=15000,includeIA=F,alphaIA=0.0237/2,hr.cv.IA=1,isOS=T)
# 
# O4_TN_3_30<-simPower(data='O4_TN_3_30',alphaFA=0.0421/2,size=530,FAevent=300,hr.cv.FA=1,simu=15000,includeIA=F,alphaIA=0.0237/2,hr.cv.IA=1,isOS=T)
# O4_TN_3_03<-simPower(data='O4_TN_3_03',alphaFA=0.0421/2,size=530,FAevent=300,hr.cv.FA=1,simu=15000,includeIA=F,alphaIA=0.0237/2,hr.cv.IA=1,isOS=T)

O4_TA_1_30<-simPower(data='O4_TA_1_30',alphaFA=0.0421/2,size=530,FAevent=300,hr.cv.FA=1,simu=15000,includeIA=F,alphaIA=0.0237/2,hr.cv.IA=1,isOS=T)
O4_TA_1_03<-simPower(data='O4_TA_1_03',alphaFA=0.0421/2,size=530,FAevent=300,hr.cv.FA=1,simu=15000,includeIA=F,alphaIA=0.0237/2,hr.cv.IA=1,isOS=T)

O4_TA_2_30<-simPower(data='O4_TA_2_30',alphaFA=0.0421/2,size=530,FAevent=300,hr.cv.FA=1,simu=15000,includeIA=F,alphaIA=0.0237/2,hr.cv.IA=1,isOS=T)
O4_TA_2_03<-simPower(data='O4_TA_2_03',alphaFA=0.0421/2,size=530,FAevent=300,hr.cv.FA=1,simu=15000,includeIA=F,alphaIA=0.0237/2,hr.cv.IA=1,isOS=T)

O4_TA_3_30<-simPower(data='O4_TA_3_30',alphaFA=0.0421/2,size=530,FAevent=300,hr.cv.FA=1,simu=15000,includeIA=F,alphaIA=0.0237/2,hr.cv.IA=1,isOS=T)
O4_TA_3_03<-simPower(data='O4_TA_3_03',alphaFA=0.0421/2,size=530,FAevent=300,hr.cv.FA=1,simu=15000,includeIA=F,alphaIA=0.0237/2,hr.cv.IA=1,isOS=T)

PowerFA<-cbind(O4_TA_1_30$PowerFA,O4_TA_1_03,O4_TA_2_30$PowerFA,O4_TA_2_03$PowerFA,O4_TA_3_30$PowerFA,O4_TA_3_03$PowerFA)
HRFA<-cbind(O4_TA_1_30$HRFA,O4_TA_1_03,O4_TA_2_30$HRFA,O4_TA_2_03$HRFA,O4_TA_3_30$HRFA,O4_TA_3_03$HRFA)
Time<-cbind(O4_TA_1_30$Time,O4_TA_1_03,O4_TA_2_30$Time,O4_TA_2_03$Time,O4_TA_3_30$Time,O4_TA_3_03$Time)


